Subject: Re: [PATCH -next] MIPS: ptrace: Add missing #include <asm/syscall.h>

From: David Daney <[email-masked]>
Date: Mon, 24 Sep 2012 11:23:40 -0700

On 09/23/2012 10:36 AM, Ralf Baechle wrote:
> On Mon, Sep 17, 2012 at 10:20:16PM +0200, Geert Uytterhoeven wrote:
>
>> arch/mips/kernel/ptrace.c: In function ‘syscall_trace_enter’:
>> arch/mips/kernel/ptrace.c:664: error: implicit declaration of function ‘__syscall_get_arch’
>> make[2]: *** [arch/mips/kernel/ptrace.o] Error 1
>
> Thanks, I already had fixed that in the linux-trace tree; the latest
> version just had not yet propagated yet to the other trees.
>

It is still not on mips-for-linux-next.  Perhaps we should arrange for 
it to be there, so that the actual propagation may commence.

David Daney